@{
    Layout = "_Layout";
}
<html>
<head>
    <environment include="Development">
        <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.css" />
        <link rel="stylesheet" type="text/css" media="screen" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" />
        <link rel="stylesheet" href="~/css/site.css" />
        <link rel="stylesheet" href="~/css/Login.css" />

        <script src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
    </environment>
    


    <link href="~/css/Login.css" rel="stylesheet">
    <link href="~/fortawesome/fontawesome-free/css/fontawesome.css" rel="stylesheet">
    <link href="~/fortawesome/fontawesome-free/css/brands.css" rel="stylesheet">
    <link href="~/fortawesome/fontawesome-free/css/solid.css" rel="stylesheet">    
</head>


<body>
    <div>
        <h5 class="modal-title text-center text-primary" style="font-size: 30px;color: whitesmoke;">Lista Contratos de Energia</h5>
    </div>
    <br>
    <br>
    <br>
    <form id="checkout-form" asp-action="Post" asp-controller="Contract">
        <div class="container-fluid">
            <div id="divButtonBot" >
                <button type="button" class="btn btn-info btn-lg pull-left" data-toggle="modal" data-target="#cadContract">
                    <i class="fas fa-plus-circle"></i> Cadastrar Contrato 
            </button>
            </div>
            <br>
            <br>
            <br>            

            <div class="modal fade" id="cadContract" role="dialog">
                <div class="modal-dialog modal-lg" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title text-center text-primary"><i class="fas fa-file-contract"></i> Cadastro de Contrato de Energia</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>                    
                        </div>
                        <div class="modal-body">
                            <div class="form-label-group">
                                    <label for="lblnameClient" class="control-label"><strong>Nome Cliente:</strong></label>
                                    <input name="nameClient" type="text" class="form-control" id="nameClient" placeholder="Nome Cliente" />    
                            </div>
                            <div class="form-group">
                                    <label for="lblcontractType" class="control-label"><strong>Email:</strong></label>
                                    
                                    <input name="contractType" type="text" class="form-control" id="contractType" placeholder="Tipo Contrato" />                                                             
                            </div>
                            <div class="form-group">
                                    <label for="lblqtyNegotiated" class="control-label"><strong>Qtde. Negociação:</strong></label>
                                    <input name="qtyNegotiated" type="number" class="form-control" id="qtyNegotiated" placeholder="Qtde. Negociação" />                                    
                            </div>
                            <div class="form-group">
                                    <label for="lbldurationContract" class="control-label"><strong>Duração Contrato:</strong></label>
                                    <input name="durationContract" type="number" class="form-control" id="durationContract" placeholder="Duração Contrato" />  
                            </div>
                            <div class="form-group">
                                    <label for="lblarchiveContract" class="control-label"><strong>PDF Contrato:</strong></label>
                                    <input name="archiveContract" type="text" class="form-control" id="archiveContract" placeholder="PDF Contrato" />  
                            </div>                            
                            <div class="modal-footer">
                                <button id="Cadastrar"  class="btn btn-success"><i class="fas fa-check-circle"></i> Salvar</button>
                                <button id="Retornar"   class="btn btn-danger"  data-dismiss="modal"><i class="fas fa-close"></i> Fechar</button>
                            </div>
                        </div>
                    </div>
                </div>     
            </div>                
        </div>
    </form>
   
        <br>    
    
        <table id="datatable_col_reorder" class="table table-hover pull-left" style="max-width: 75%;column-width: auto;">
            <thead>
                
            </thead>
            <tbody>                
            </tbody>
        </table>

    @section Scripts {

        <script type="text/javascript">

            $(document).ready(function () {
                GetContract();
            });

            function GetContract() {
                $.ajax({
                    url: 'Contract/GetAll',
                    cache: false,
                    type: 'Get',                
                    success: function (dataSet) {
                        var table = $('#datatable_col_reorder').DataTable({
                            destroy:  true,
                            retrieve: true,
                            select: "single",

                            columnDefs: [{
                                orderable: false,
                                targets: 0,
                                width: "80px"
                            },
                            {
                                targets: [ 1 ],
                                visible: false,
                                searchable: false
                            }],

                            columns: [

                                { title: "" },
                                { title: "Id. Contrato" },
                                { title: "Nome Cliente" },
                                { title: "Tipo Contrato" },
                                { title: "Qtde. Negociada" },
                                { title: "Duração Contrato" },
                                { title: "PDF Contrato" },
                            ]
                        });

                        table.clear().draw();                    
                        $.each(dataSet, function (index, value) {                        
                            table.row.add([
                                "<a   id=\"editar\" name=\"editar\" onclick=\"javascript:alterarContract(`" + value.idContract + "`); \" title=\"Alterar\" ><i class=\"fas fa-edit fa-lg\"></i></a>&nbsp;" +
                                "<a  id=\"excluir\" name=\"excluir\" onclick=\"javascript:excluirContract(`" + value.idContract + "`);\" title=\"Excluir\" ><i class=\"fas fa-minus-circle fa-lg\"></i></a>&nbsp;",
                                "<span  id=\"tdId\">" + value.idContract + "</span>",
                                "<span  id=\"tdNameClient\">" + value.nameClient + "</span>",
                                "<span  id=\"tdContract\">" + value.contractType + "</span>",
                                "<span  id=\"tdQty\">" + value.qtyNegotiated + "</span>",
                                "<span  id=\"tdDurationContract\">" + value.durationContract + "</span>",
                                "<span  id=\"tdArchive\">" + value.archiveContract + "</span>"
                            ]).draw();
                        });

                        //$('#grid').css('display', 'block');
                        table.columns.adjust().draw();
                        //$("#divButtonBot").css("visibility","visible");
                    },
                    error: function (data, textStatus) {
                        alert(textStatus);
                    }
                }).fail(function (jqXHR, textStatus) {
                    alert(textStatus);
                });
        };

        function excluirContract(id) {
            $.MessageBox({
                title: "Confirmar",
                message: "Deseja confirmar a exclusão?",
                buttonDone: "Sim",
                buttonFail: "Não"
            }).done(function (data, button) {
                $.ajax({
                    url: '/Contract/Delete/',
                    cache: true,
                    type: 'Delete',
                    data: {
                        idContract: id
                    },
                    success: function () {     
                        $.MessageBox("Contrato excluído com sucesso!"); 
                        GetContract();                           
                    },
                    failure: function (response) {
                        showSmallBox(response.responseText, false);
                    },
                    error: function (response) {
                        showSmallBox(response.responseText, false);
                    }
                }).fail(function (jqXHR, textStatus) {
                    showSmallBox(textStatus, false);
                });
            });
        };

        //Edição realizada na table

        function alterarContract(id) {
            $.MessageBox({
                title: "Confirmar",
                message: "  Deseja alterar o contrato?",
                buttonDone: "Sim",
                buttonFail: "Não"
            }).done(function (data, button) {
                $.ajax({
                    url: '/Contract/Put/',
                    cache: true,
                    type: 'Put',
                    data: {
                        idContract: id,
                        nameClient:     document.getElementById('tdNameClient').innerHTML,
                        contractType:   document.getElementById('tdContract').innerHTML,
                        qtyNegotiated:  document.getElementById('tdQty').innerHTML,
                        durationContract: document.getElementById('tdDurationContract').innerHTML,
                        archiveContract: document.getElementById('tdArchive').innerHTML
                    },
                    success: function () {     
                        $.MessageBox("Contrato alterado com sucesso!"); 
                        GetContract();                           
                    },
                    failure: function (response) {
                        showSmallBox(response.responseText, false);
                    },
                    error: function (response) {
                        showSmallBox(response.responseText, false);
                    }
                }).fail(function (jqXHR, textStatus) {
                    showSmallBox(textStatus, false);
                });
            });
        };

        </script>
    }
</body>
</html>



